Package Details: libmypaint-git 2.0.0.alpha.r782.8c40ca3-1

Git Clone URL: https://aur.archlinux.org/libmypaint-git.git (read-only)
Package Base: libmypaint-git
Description: A library for making brushstrokes which is used by MyPaint and other projects.
Upstream URL: http://mypaint.org/
Licenses: ISC
Conflicts: libmypaint
Provides: libmypaint=2.0.0.alpha
Submitter: mytbk
Maintainer: odysseywestra
Last Packager: odysseywestra
Votes: 29
Popularity: 0.000143
First Submitted: 2015-12-27 01:57
Last Updated: 2017-09-22 16:22

Required by (4)

Sources (1)

Latest Comments

« First ‹ Previous 1 2

satriani commented on 2016-09-06 08:10

I get an error after installing

[code]
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-brush-settings-gen.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-brush-settings.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-brush.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-config.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-fixed-tiled-surface.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-glib-compat.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-rectangle.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-surface.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/include/libmypaint/mypaint-tiled-surface.h'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/lib/pkgconfig/libmypaint.pc'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/ca/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/cs/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/da/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/de/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/en_CA/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/en_GB/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/es/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/fa/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/fi/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/fr/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/he/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/hu/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/id/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/it/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/ja/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/ko/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/nb/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/nn_NO/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/pl/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/pt_BR/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/ro/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/ru/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/sc/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/sk/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/sl/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/sv/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/tr/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/uk/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/zh_CN/LC_MESSAGES/libmypaint.mo'
Fehler: file owned by 'libmypaint-git' and 'mypaint': 'usr/share/locale/zh_TW/LC_MESSAGES/libmypaint.mo'
[/code]

Namarrgon commented on 2016-08-02 20:40

'git' is missing from the makedepends array.

ooo commented on 2016-06-13 10:35

I just got an error about missing Gegl-0.3.gir file while trying to build this package. Turns out that you must have gobject-intospection installed _before_ building gegl, in order to generate the gir file.

So if anyone encounters the same issue, just make sure gobject-introspection is installed and rebuild and reinstall gegl. libmypaint-git should build fine after that.

ShadowKyogre commented on 2016-05-20 17:20

Just commenting here to let everyone that's using libmypaint-git to know that mypaint-git can now be built without kicking out libmypaint-git. That way, both mypaint-git and gimp-git can be installed side-by-side for bug reporting purposes.

ShadowKyogre commented on 2016-05-20 00:43

Notification from upstream about issue being reconsidered. I'll modify this PKGBUILD to build against libmypaint-git as soon as I can. It'll just take some time.

ShadowKyogre commented on 2016-05-19 23:35

Hi mybtk.

I was hoping to get some insight on how I should restructure my mypaint PKGBUILD to build against libmypaint-git.

Normally I wouldn't go with this, but there's a pretty issue that won't let me have both gimp-git and mypaint-git installed on the same machine.

In a recent comment left on the mypaint-git package, one of the commentors mentioned this.

---
It looks like gimp-git is requiring libmypaint >= 1.3.0, but the libmypaint provided by this package is only reporting 1.1 by pkg-config. Do you know the cause of this disparity?
---

I tried bringing this up to the mypaint developers, but it doesn't look like there's a way to work around this atm if someone wants both mypaint-git and gimp-git on the same system:

https://github.com/mypaint/mypaint/issues/683

mytbk commented on 2016-05-18 02:43

Now gimp-git does not need libmypaint as a hard dependency, and it doesn't need libmypaint with gegl to support the gimp brush.

ShadowKyogre commented on 2015-12-27 19:42

@mytbk: Heya. I'm the current maintainer of mypaint-git on the AUR. I've noticed you've made the libmypaint-git package. Should I go ahead and make my mypaint-git package depend on this one, change my PKGBUILD to split into the appropriate packages, or add a provides to my PKGBUILD?

I wanted to make sure with you before I took either action.

glitsj16 commented on 2015-12-27 12:05

Thanks for this package. Typo on line 31:
cd "$srcdir/$libmypaint" --> cd "$srcdir/libmypaint"